#!/usr/bin/make -f

export QT_SELECT := qt5

%:
	dh $@ --buildsystem=qmake

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# tests depending on a TZ with a small offset
export TZ='/usr/share/zoneinfo/Etc/GMT'

# Extended precision on i386 results in weird bugs, so we build
# with -ffloat-store.
ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
CFLAGS += -ffloat-store
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		WITH_LIBUSB=pkgconfig WITH_SHAPELIB=pkgconfig WITH_ZLIB=pkgconfig
	convert -resize 32x32 gui/images/appicon.png debian/gpsbabel.xpm
	xsltproc --output debian/gpsbabel.1 /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl xmldoc/gpsbabel_man.xml

execute_after_dh_auto_build-arch:
	if dpkg -s qtwebengine5-dev > /dev/null; then dh_auto_build -- unix-gui; fi

override_dh_auto_build-indep:
	$(MAKE) gpsbabel.org
